docs

# InlineKeyboardBuilder

class InlineKeyboardBuilder : MatrixBuilder < InlineKeyboardButton >
Content copied to clipboard

Core DSL part of Inline Keyboard DSL. Can accept only InlineKeyboardButton and returns ready to use InlineKeyboardMarkup via build method

## See also

inlineKeyboard
InlineKeyboardBuilder.row
dev.inmo.tgbotapi.extensions.utils.types.buttons.InlineKeyboardRowBuilder

## Constructors

InlineKeyboardBuilder
Link copied to clipboard
fun InlineKeyboardBuilder ()
Content copied to clipboard

## Functions

add
Link copied to clipboard
fun add (t: List < InlineKeyboardButton >): Boolean
Content copied to clipboard
build
Link copied to clipboard
fun build (): InlineKeyboardMarkup
Content copied to clipboard

Creates InlineKeyboardMarkup using internal matrix

plus
Link copied to clipboard
operator fun plus (t: List < InlineKeyboardButton >): Boolean
Content copied to clipboard
unaryPlus
Link copied to clipboard
operator fun InlineKeyboardButton . unaryPlus (): Boolean
Content copied to clipboard

## Properties

matrix
Link copied to clipboard
val matrix : Matrix < InlineKeyboardButton >
Content copied to clipboard

## Extensions

row
Link copied to clipboard
inline fun InlineKeyboardBuilder . row (block: InlineKeyboardRowBuilder .() -> Unit ): Boolean
Content copied to clipboard

Creates an InlineKeyboardRowBuilder and apply with this builder